using APT.Infrastructure.Core;
using System;
using System.ComponentModel;

namespace APT.BaseData.Domain.Entities.FM
{
    /// <summary>
    ///中心隶属角色关系表
    /// </summary>
    [Description("中心隶属角色关系表")]
	[IgnoreT4]public class T_FM_STAGE_BELONG_ROLE : MesEntityBase
	{
		/// <summary>中心ID</summary>
		[Description("中心ID")]
		public Guid WORKSTAGE_ID { get; set; }


		/// <summary>所属角色ID</summary>
		[Description("所属角色ID")]
		public Guid BELONG_ROLE_ID { get; set; }

		/// <summary>是否授权</summary>
		public bool IS_PERMISSION { get; set; }


		///// <summary>导航：工作中心</summary>
		//[Description("导航：工作中心")]
		//public virtual T_FM_WORKSTAGE Nav_Workstage { get; set; }


		/// <summary>导航：所属角色</summary>
		[Description("导航：所属角色")]
		public virtual T_FM_ROLE Nav_BelongRole { get; set; }
	}
}
